Summary: view mail in emacs
Name: vm
Version: 6.72
Release: 2
Requires: emacs >= %(rpm -q emacs --qf '%%{VERSION}')
Copyright: GPL
Group: Applications/Editors/Emacs
URL: http://www.wonderworks.com/vm
Source: %{name}-%{version}.tar.gz
Source1: vm-init.el
Source2: base64-encode.c
Source3: base64-decode.c
Source4: qp-encode.c
Source5: qp-decode.c
Source6: CHANGES.gz
Source7: md5.tar.gz
Source8: windows.tar.gz
Patch: vm-6.71-Makefile.patch
Patch1: vm-6.72-texi.patch
Patch2: vm-6.72-refill.patch
Patch3: vm-6.72-manual.patch
BuildRoot: /var/tmp/%{name}-%{version}

%description
   VM (View Mail) is an Emacs subsystem that allows UNIX mail to be read
and disposed of within Emacs.  Commands exist to do the normal things
expected of a mail user agent, such as generating replies, saving
messages to folders, deleting messages and so on.  There are other more
advanced commands that do tasks like bursting and creating digests,
message forwarding, and organizing message presentation according to
various criteria.

%changelog

* Sat Jul 24 1999 W. L. Estes <will@fumblers.org>
- add misc variables to vm-init.el, provide vm-init
- add install-info support to vm.texinfo
- make various corrections to vm.texinfo

* Wed Jul 21 1999 W. L. Estes <will@fumblers.org>
- version 6.72
- add windows, md5, qp-* 
- unzip CHANGES
- patch Makefile to use a prefix
- lift %%description from manual
- windows, md5 qp-* base64-*, CHANGES.gz are all from vm site

%prep
%setup
%patch -p1 -b .orig
%patch1 -p1 -b .orig
%patch2 -p1 -b .refill
%patch3 -p1 -b .manual
cp %SOURCE2 %SOURCE3 %SOURCE4 %SOURCE5 %SOURCE6 %SOURCE7 %SOURCE8 .
for i in md5 windows ; do
    mkdir $i ; tar zxf $i.tar.gz -C $i
done

%build
make PREFIX=/usr all
for i in base64-encode base64-decode qp-encode qp-decode ; do
    ${CC:-gcc} -o $i $i.c
done
make -C md5

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,info,share/emacs/{site-lisp/{etc/vm,vm}}}
make PREFIX=$RPM_BUILD_ROOT/usr install
gzip $RPM_BUILD_ROOT/usr/info/*.info*
gzip -d CHANGES.gz
install %SOURCE1 $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install base64-encode base64-decode qp-encode qp-decode md5/md5 $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%post
install-info /usr/info/vm.info.gz /usr/info/dir

%preun
if [ $1 = 0 ] ; then
install-info --delete /usr/info/vm.info.gz /usr/info/dir
fi

%files
%defattr (-, root, root)
%doc README CHANGES windows/*
/usr/bin/*
/usr/info/*.info*.gz
/usr/share/emacs/site-lisp/vm
/usr/share/emacs/site-lisp/etc/vm
/usr/share/emacs/site-lisp/vm-init.el
